# Uses of Enum Class
com.google.protobuf.TextFormat.Parser.SingularOverwritePolicy

Packages that use TextFormat.Parser.SingularOverwritePolicy
Package
Description
com.google.protobuf

## Uses of TextFormat.Parser.SingularOverwritePolicy in com.google.protobuf

Methods in com.google.protobuf that return TextFormat.Parser.SingularOverwritePolicy
Modifier and Type
Method
Description
`static TextFormat.Parser.SingularOverwritePolicy`
TextFormat.Parser.SingularOverwritePolicy.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static TextFormat.Parser.SingularOverwritePolicy[]`
TextFormat.Parser.SingularOverwritePolicy.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in com.google.protobuf with parameters of type TextFormat.Parser.SingularOverwritePolicy
Modifier and Type
Method
Description
`TextFormat.Parser.Builder`
TextFormat.Parser.Builder.`setSingularOverwritePolicy(TextFormat.Parser.SingularOverwritePolicy p)`
Sets parser behavior when a non-repeated field appears more than once.